Bug 42695

Summary: mod_proxy balancer problem
Product: Apache httpd-2 Reporter: Mustapha Ait-Idir <aitidirmustapha>
Component: mod_proxyAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: critical CC: aqqalukholm
Priority: P2 Keywords: MassUpdate
Version: 2.2.4   
Target Milestone: ---   
Hardware: Sun   
OS: Solaris   

Description Mustapha Ait-Idir 2007-06-18 12:42:38 UTC
I'm using apache 2.2.4 with mod_proxy

My config is:
-------------

ProxyRequests off 
<Proxy balancer://tomcats/>  
  BalancerMember ajp://testapp1.tres.bnc.ca:8881 route=z1.tc1 loadfactor=1 
                                                 keepalive=On retry=30
</Proxy> 


And I loss the connection for a few second and the problem occured few times 
per days.

When I check the apache logs, I got a blancer problem even if tomcat still 
alive.


apache error logs:
------------------

Mon Jun 11 16:03:42 2007] [error] proxy: AJP: failed to make connection to 
backend: testapp1.tres.bnc.ca
[Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:12 2007] [error] (146)Connection refused: proxy: AJP: attempt 
to connect to 10.57.165.56:8881 (testapp1.tres.bnc.ca) failed
[Mon Jun 11 16:04:12 2007] [error] ap_proxy_connect_backend disabling worker 
for (testapp1.tres.bnc.ca)
[Mon Jun 11 16:04:12 2007] [error] proxy: AJP: failed to make connection to 
backend: testapp1.tres.bnc.ca
[Mon Jun 11 16:04:12 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:12 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:12 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:12 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:42 2007] [error] (146)Connection refused: proxy: AJP: attempt 
to connect to 10.57.165.56:8881 (testapp1.tres.bnc.ca) failed
[Mon Jun 11 16:04:42 2007] [error] ap_proxy_connect_backend disabling worker 
for (testapp1.tres.bnc.ca)
[Mon Jun 11 16:04:42 2007] [error] proxy: AJP: failed to make connection to 
backend: testapp1.tres.bnc.ca
[Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:05:12 2007] [error] proxy: BALANCER: (balancer://tomcats). All 
workers are in error state for route (z1.tc1)
[Mon Jun 11 16:05:13 2007] [info] [client 10.57.159.118] Connection to child 5 
established (server testweb.tres.bnc.ca:443)
[Mon Jun 11 16:05:13 2007] [info] Seeding PRNG with 136 bytes of entropy
[Mon Jun 11 16:05:13 2007] [info] [client 10.57.159.118] Connection to child 2 
established (server testweb.tres.bnc.ca:443)
[Mon Jun 11 16:05:13 2007] [info] Seeding PRNG with 136 bytes of entropy
[Mon Jun 11 16:05:13 2007] [info] Client requested a 'session-resume' but we 
have no such session.
[Mon Jun 11 16:05:13 2007] [info] Client requested a 'session-resume' but we 
have no such session.
[Mon Jun 11 16:05:13 2007] [info] Initial (No.1) HTTPS request received for 
child 2 (server testweb.tres.bnc.ca:443)
[Mon Jun 11 16:05:13 2007] [info] Initial (No.1) HTTPS request received for 
child 5 (server testweb.tres.bnc.ca:443)
[Mon Jun 11 16:05:15 2007] [info] [client 10.57.159.118] Connection closed to 
child 2 with unclean shutdown (server testweb.tres.bnc.ca:443)
[Mon Jun 11 16:05:15 2007] [info] [client 10.57.159.118] Connection closed to 
child 5 with unclean shutdown (server testweb.tres.bnc.ca:443)
[Mon Jun 11 16:05:15 2007] [info] [client 10.57.159.118] Connection to child 3 
established (server testweb.tres.bnc.ca:443)
Comment 1 Mustapha Ait-Idir 2007-06-18 12:48:33 UTC
More details regarding OS, Hardware, severity and Summary
Comment 2 jfclere 2007-06-28 00:45:04 UTC
Check catalina.out on Tomcat side. You probably have an error like:
All threads ({0}) are currently busy, waiting. Increase maxThreads ({1}) or
check the servlet status.
Increase maxThreads in server.xml or find why the threads are hanging in TC.
Comment 3 Jim Jagielski 2007-08-03 08:18:21 UTC
This is old. Please test/confirm with more recent versions and reopen if needed.
Comment 4 Ralf Kraudelt 2009-10-13 06:17:03 UTC
When I move from 2.2.11 to 2.2.13 or 2.2.14, this problem occurs. When I move back to 2.2.11, the problem disappears. Apache HTTPD runs under Windows 2003SP2.

My configuration is:

<Proxy balancer://sbhome1>
    BalancerMember ajp://sbhome-tomcat1:8009/qisserver keepalive=On route=wzvx13
    BalancerMember ajp://sbhome-tomcat4:8009/qisserver keepalive=On route=wzvx08
    ProxySet lbmethod=bybusyness
</Proxy>
ProxyPass /qisserver balancer://sbhome1 stickysession=JSESSIONID|jsessionid nofailover=On timeout=60

The error is:
[Tue Oct 13 09:36:41 2009] [error] ajp_read_header: ajp_ilink_receive failed
[Tue Oct 13 09:36:41 2009] [error] (120006)APR does not understand this error code: proxy: read response failed from 141.27.194.8:8009 (sbhome-tomcat4)
[Tue Oct 13 09:36:41 2009] [error] proxy: BALANCER: (balancer://sbhome1). All workers are in error state for route (wzvx08)
[Tue Oct 13 09:36:41 2009] [error] proxy: BALANCER: (balancer://sbhome1). All workers are in error state for route (wzvx08)

Tomcat is 6.0.18, Java is 1.5b16 on SLES10SP2 64Bit, VMWare ESX 3.5. During the errors in Apache's error.log (1-2 minutes), our Tomcat application seems not to respond and loses it's database connections. Our application logs show some kind of blackout (no entries) for the time of unresponsiveness. After 1-2 minutes, Tomcat continues to work without error.

There are no messages regarding threads nor anything else in Tomcat. The error occurs in high load (not overload) situations on both Tomcat servers.
Comment 5 Hans Christian Holm 2015-11-07 00:30:58 UTC
(In reply to Mustapha Ait-Idir from comment #0)
> I'm using apache 2.2.4 with mod_proxy
> 
> My config is:
> -------------
> 
> ProxyRequests off 
> <Proxy balancer://tomcats/>  
>   BalancerMember ajp://testapp1.tres.bnc.ca:8881 route=z1.tc1 loadfactor=1 
>                                                  keepalive=On retry=30
> </Proxy> 
> 
> 
> And I loss the connection for a few second and the problem occured few times 
> per days.
> 
> When I check the apache logs, I got a blancer problem even if tomcat still 
> alive.
> 
> 
> apache error logs:
> ------------------
> 
> Mon Jun 11 16:03:42 2007] [error] proxy: AJP: failed to make connection to 
> backend: testapp1.tres.bnc.ca
> [Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:03:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:12 2007] [error] (146)Connection refused: proxy: AJP:
> attempt 
> to connect to 10.57.165.56:8881 (testapp1.tres.bnc.ca) failed
> [Mon Jun 11 16:04:12 2007] [error] ap_proxy_connect_backend disabling worker 
> for (testapp1.tres.bnc.ca)
> [Mon Jun 11 16:04:12 2007] [error] proxy: AJP: failed to make connection to 
> backend: testapp1.tres.bnc.ca
> [Mon Jun 11 16:04:12 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:12 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:12 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:12 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:22 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:32 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:42 2007] [error] (146)Connection refused: proxy: AJP:
> attempt 
> to connect to 10.57.165.56:8881 (testapp1.tres.bnc.ca) failed
> [Mon Jun 11 16:04:42 2007] [error] ap_proxy_connect_backend disabling worker 
> for (testapp1.tres.bnc.ca)
> [Mon Jun 11 16:04:42 2007] [error] proxy: AJP: failed to make connection to 
> backend: testapp1.tres.bnc.ca
> [Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:42 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:04:52 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:05:02 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:05:12 2007] [error] proxy: BALANCER: (balancer://tomcats).
> All 
> workers are in error state for route (z1.tc1)
> [Mon Jun 11 16:05:13 2007] [info] [client 10.57.159.118] Connection to child
> 5 
> established (server testweb.tres.bnc.ca:443)
> [Mon Jun 11 16:05:13 2007] [info] Seeding PRNG with 136 bytes of entropy
> [Mon Jun 11 16:05:13 2007] [info] [client 10.57.159.118] Connection to child
> 2 
> established (server testweb.tres.bnc.ca:443)
> [Mon Jun 11 16:05:13 2007] [info] Seeding PRNG with 136 bytes of entropy
> [Mon Jun 11 16:05:13 2007] [info] Client requested a 'session-resume' but we 
> have no such session.
> [Mon Jun 11 16:05:13 2007] [info] Client requested a 'session-resume' but we 
> have no such session.
> [Mon Jun 11 16:05:13 2007] [info] Initial (No.1) HTTPS request received for 
> child 2 (server testweb.tres.bnc.ca:443)
> [Mon Jun 11 16:05:13 2007] [info] Initial (No.1) HTTPS request received for 
> child 5 (server testweb.tres.bnc.ca:443)
> [Mon Jun 11 16:05:15 2007] [info] [client 10.57.159.118] Connection closed
> to 
> child 2 with unclean shutdown (server testweb.tres.bnc.ca:443)
> [Mon Jun 11 16:05:15 2007] [info] [client 10.57.159.118] Connection closed
> to 
> child 5 with unclean shutdown (server testweb.tres.bnc.ca:443)
> [Mon Jun 11 16:05:15 2007] [info] [client 10.57.159.118] Connection to child
> 3 
> established (server testweb.tres.bnc.ca:443)

(In reply to Mustapha Ait-Idir from comment #1)
> More details regarding OS, Hardware, severity and Summary

(In reply to jfclere from comment #2)
> Check catalina.out on Tomcat side. You probably have an error like:
> All threads ({0}) are currently busy, waiting. Increase maxThreads ({1}) or
> check the servlet status.
> Increase maxThreads in server.xml or find why the threads are hanging in TC.

(In reply to Jim Jagielski from comment #3)
> This is old. Please test/confirm with more recent versions and reopen if
> needed.

(In reply to Ralf Kraudelt from comment #4)
> When I move from 2.2.11 to 2.2.13 or 2.2.14, this problem occurs. When I
> move back to 2.2.11, the problem disappears. Apache HTTPD runs under Windows
> 2003SP2.
> 
> My configuration is:
> 
> <Proxy balancer://sbhome1>
>     BalancerMember ajp://sbhome-tomcat1:8009/qisserver keepalive=On
> route=wzvx13
>     BalancerMember ajp://sbhome-tomcat4:8009/qisserver keepalive=On
> route=wzvx08
>     ProxySet lbmethod=bybusyness
> </Proxy>
> ProxyPass /qisserver balancer://sbhome1 stickysession=JSESSIONID|jsessionid
> nofailover=On timeout=60
> 
> The error is:
> [Tue Oct 13 09:36:41 2009] [error] ajp_read_header: ajp_ilink_receive failed
> [Tue Oct 13 09:36:41 2009] [error] (120006)APR does not understand this
> error code: proxy: read response failed from 141.27.194.8:8009
> (sbhome-tomcat4)
> [Tue Oct 13 09:36:41 2009] [error] proxy: BALANCER: (balancer://sbhome1).
> All workers are in error state for route (wzvx08)
> [Tue Oct 13 09:36:41 2009] [error] proxy: BALANCER: (balancer://sbhome1).
> All workers are in error state for route (wzvx08)
> 
> Tomcat is 6.0.18, Java is 1.5b16 on SLES10SP2 64Bit, VMWare ESX 3.5. During
> the errors in Apache's error.log (1-2 minutes), our Tomcat application seems
> not to respond and loses it's database connections. Our application logs
> show some kind of blackout (no entries) for the time of unresponsiveness.
> After 1-2 minutes, Tomcat continues to work without error.
> 
> There are no messages regarding threads nor anything else in Tomcat. The
> error occurs in high load (not overload) situations on both Tomcat servers.
Comment 6 William A. Rowe Jr. 2018-11-07 21:08:43 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.